=== modified file 'client/errname.cc'
--- client/errname.cc	2010-09-08 22:31:17 +0000
+++ client/errname.cc	2010-10-20 15:31:27 +0000
@@ -735,7 +735,7 @@
     { "ER_UNKNOWN_SCHEMA_OPTION", 1699},
     { "ER_EVENT_OBSERVER_PLUGIN", 1700},
     { "ER_CORRUPT_SCHEMA_DEFINITION", 1701},
-    { "ER_UNUSED1702", 1702},
+    { "ER_OUT_OF_GLOBAL_SORTMEMORY", 1702},
     { 0, 0 }
   };
 

=== modified file 'drizzled/enum.h'
--- drizzled/enum.h	2010-09-08 22:31:17 +0000
+++ drizzled/enum.h	2010-10-20 15:31:27 +0000
@@ -1044,7 +1044,8 @@
   ER_UNKNOWN_SCHEMA_OPTION,
   ER_EVENT_OBSERVER_PLUGIN,
   ER_CORRUPT_SCHEMA_DEFINITION,
-  ER_ERROR_LAST= ER_CORRUPT_SCHEMA_DEFINITION
+  ER_OUT_OF_GLOBAL_SORTMEMORY,
+  ER_ERROR_LAST= ER_OUT_OF_GLOBAL_SORTMEMORY
 };
 
 enum drizzle_exit_codes {

=== modified file 'drizzled/error.cc'
--- drizzled/error.cc	2010-10-14 18:58:48 +0000
+++ drizzled/error.cc	2010-10-20 15:31:27 +0000
@@ -235,6 +235,7 @@
   add(ER_OPEN_AS_READONLY, N_("Table '%-.192s' is read only"));
   add(ER_OUTOFMEMORY, N_("Out of memory; restart server and try again (needed %lu bytes)"));
   add(ER_OUT_OF_SORTMEMORY, N_("Out of sort memory; increase server sort buffer size"));
+  add(ER_OUT_OF_GLOBAL_SORTMEMORY, N_("Global sort memory constraint hit; increase sort-heap-threshold"));
   add(ER_UNEXPECTED_EOF, N_("Unexpected EOF found when reading file '%-.192s' (errno: %d)"));
   add(ER_CON_COUNT_ERROR, N_("Too many connections"));
   add(ER_OUT_OF_RESOURCES, N_("Out of memory; check if drizzled or some other process uses all available memory; if not, you may have to use 'ulimit' to allow drizzled to use more memory or you can add more swap space"));

=== modified file 'drizzled/filesort.cc'
--- drizzled/filesort.cc	2010-10-20 15:07:44 +0000
+++ drizzled/filesort.cc	2010-10-20 15:31:27 +0000
@@ -268,8 +268,7 @@
   allocated_sort_memory= param.keys * param.rec_length;
   if (not global_sort_buffer.add(allocated_sort_memory))
   {
-    std::cerr << "Global buffer hit!" << std::endl;
-    my_error(ER_OUT_OF_SORTMEMORY, MYF(ME_ERROR+ME_WAITTANG));
+    my_error(ER_OUT_OF_GLOBAL_SORTMEMORY, MYF(ME_ERROR+ME_WAITTANG));
     goto err;
   }
 

